/**
 * 覆盖物图层
 * @private
 * @param {string} name 图层名称，唯一标识
 * @param {(object|array)}  element 几何要素集合 graphicslayer｜array
 * @param {Boolean}  visible  是否可见
 * @param {MapLayerType} type 图层类型
 */
export class MapOverLayer {
  constructor(name, element, visible, type) {
    this.name = name
    this.element = element
    this.visible = visible
    this.type = type
    this.events = [] //图层事件集合
  }
  /**
   * 添加图层事件
   * @param {function} event 事件
   * @param {string} type 事件类型
   */
  addEvent(event, type) {
    this.events.push({ 'event': event, 'type': type })
  }
}
